QGIS Application - Bug report #6589
spatial join plugin ftools gives wrong results
2012-10-31 05:17 AM - johan sanders

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: w7 64bit Easy fix?:

Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 15780
Description

when joining two polygone shape files through "spatial join" (ftools) the resulting atrribute table of the new shapefile is wrong : the
spatialy identical attributes from the two shape files are not joined together and no error message is shown

when using the "intersection of 2 shapefiles " this gives a correct result for the spatially identically located polygones

the two shapes are landuse parcels with each appr 200000 polygones
some polygones in the first are not found in the second shapefile

History

#1 - 2013-07-13 10:47 AM - Giovanni Manghi
- Resolution set to invalid
- Status changed from Open to Closed

The spatial join ("join attributes by location") and the intersection operation are different, and it seems you needed really the intersection.

Please reopen if necessary, but then attach sample data and explain in details the expected results.

#2 - 2017-05-01 01:22 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
